#include "svt.h"

void Start()
{
  // Take control of the motors:
  OpenMotors();
}
bool Run()
{
	//Check if it's time to quit
	if (GetRemoteKeys() & KEY_HOME)
		return false;

    // Pause 1 second
    Sleep(1000);
    // Set the Right motor speed to go full forward
    SetRightMotor(10000);
    // Set Left motor to go full backwards
    SetLeftMotor(-10000);

    // Pause 1 second
    Sleep(1000);
    // Stop both motors
    SetMotors(0, 0);

    // Pause 1 second
    Sleep(1000);
    // Set the Right motor speed to go backwards
    SetRightMotor(-10000);
    // Set Left motor to go forwards
    SetLeftMotor(10000);

    // Pause 1 second
    Sleep(1000);
    // Stop both motors
    SetMotors(0, 0);

  // Release the motors so the remote can regain control
  CloseMotors();
  // Do nothing for 5 seconds:
  Sleep(5000);
  // Take back control of the motors:
  OpenMotors();
  return true;
}

void End()
{
  // remember to let go before you finish...
  CloseMotors();
}
