#include "svt.h"
int BlinkSpeed=3000; // Variable to set frequency of blinknig
bool state; // variable to toggle IR LED state

void Start()
{
  OpenIR(); // Take control of IR LED
}

bool Run()
{
  //As long as the HOME key is not pressed...
  while (GetRemoteKeyStatus(KEY_HOME)==0)
  {
    if (ReadTimer()>BlinkSpeed)// If enough time has passed
    {
      state = !state;// toggle the value of "state"
      SetIR(state);// Set IR to new state
      ResetTimer();// reset timer to 0
    }
  }
  // If the HOME key is pressed:
  return false;
}

// When The Run() function returns false, the TRACKR calls the End() function
void End()
{
  CloseIR();
}
