#include "../Internals/trakr.h"
#include "../Internals/Audio.h"
#include "../Internals/KimCharLib.o.h"
#include "App.h"

volatile unsigned int uiKeyStatus;
volatile unsigned int uiKeyOldStatus;
bool loop;

TAG_HANDLE Wave_A;
TAG_HANDLE Wave_B;

const char File_A[]={"A:\\AppVT01\\Rec_A.wav"};
const char Tmp_A[]={"A:\\AppVT01\\Tmp_A.wav"};

#define FILESIZE	(300*1024)
char Wave_A_Buffer[FILESIZE]__attribute__((aligned(512)));

TAG_HANDLE Wave_A;
bool Rec_Flag;
bool Play_Flag;
extern void Remote_Key_Function(unsigned int Key);

bool Run(void)
{
  //if the pRamBuffer=0, it will NOT save data at sdram, only in sd-card, if no sd-card, will retrun false @ SVT_WAV_Record.
  //if the pRamBuffer!=0, if no sd-card, it will only save in SDRam. otherwise, it will save in both.
  //the same as play.
  Wave_A.pRamBuffer=Wave_A_Buffer;
  Wave_A.RamMax=FILESIZE;
  SVT_WAV_Record(File_A,&Wave_A);
  loop=true;
  JAPI_ResetTimer2();
  while(loop==true)
  {
    SVT_WAV_Recording(&Wave_A);
    if(JAPI_GetTimer2()>4000)
    {
      SVT_WAV_Stop(&Wave_A);
      loop=false;
    }
  }
  SVT_WAV_Play(File_A,&Wave_A);
  while(SVT_WAV_Is_Busy(&Wave_A));
  SVT_WAV_Stop(&Wave_A);
  while(1);
  return false;
}

void Remote_Key_Function(unsigned int Key)
{
  Key=((Key^uiKeyOldStatus)&(0x1ff<<8))&Key;
  if(Key&Key_Select)
  {
  }
  if(Key&Key_Home)
  {
    loop=false;
  }
  uiKeyOldStatus=Key;
}

bool Setup(void)
{
  JAPI_SetRCKeyCtrl((unsigned char)((Key_Menu)>>8));
  JAPI_SetRCIcon(0);
  JAPI_SetRCSnd(0);
  JAPI_GetIRCtrl();
  JAPI_IRoff();
  return true;
}
void Unsetup(void)
{
  JAPI_APU_Close();
  JAPI_CloseRfAudio();
  JAPI_CloseRfVideo();
  JAPI_MotorClose();
  JAPI_FreeVideoProc();

  JAPI_IRoff();
  JAPI_QuitIRCtrl();
  JAPI_SetRCKeyCtrl(0);
}

