#ifndef __HUFFMAN_H__
#define __HUFFMAN_H__

typedef struct
{
  unsigned short weight, data;
  unsigned short parent, lchild, rchild;
}HuffNode;

typedef struct
{
  unsigned char code;
  unsigned short codelength;
} HuffCode;

extern void FrequencyCount(unsigned char*);
extern void HuffSelect(HuffNode*, int, int*, int*); //ӽѡȨСڵ
extern void HuffmanCodeTable(HuffNode*, HuffCode*); //huffmanhuffman
extern void HuffmanCompress(unsigned char*, unsigned char *, HuffCode*); //ѹ
extern void BitPrint(unsigned char*);
extern void Test_Compress(void);

#endif
