#include "Adc.h"
#include "JAPI.h"

#define BufferPiece 8
#define AdcBufferHalfSize (AdcBufferSize/2)

#define uiCurrentPos ((*((unsigned int*)JAPI_GetAdcPosAddr()))-(unsigned int)ausRecord)
volatile unsigned int   uiStartAddress;

extern void wait_keys(void);

#define ausRecord ((unsigned char*)0xffe76000)


unsigned short Adc_Get_Recorded_Data_Length(void)
{
  unsigned short ret;
  if(uiCurrentPos<uiStartAddress)
    ret=AdcBufferSize;
  else
    ret=uiCurrentPos-uiStartAddress;
  return ret;
}
unsigned int Adc_Is_Fill_Data(void)
{
  if(uiStartAddress<(AdcBufferSize*(BufferPiece-1)))
  {
    if(uiCurrentPos>uiStartAddress+AdcBufferSize)
      return 1;
    else
      return 0;
  }
  else
  {
    if(uiCurrentPos<AdcBufferSize)
      return 1;
    else
      return 0;
  }
}
unsigned char* Adc_Get_Recorded_Data_Address(void)
{
  unsigned char *pus;
  pus=(unsigned char *)&ausRecord[uiStartAddress];
  if(uiStartAddress<(AdcBufferSize*(BufferPiece-1)))
    uiStartAddress+=AdcBufferSize;
  else
    uiStartAddress=0;
  return pus;
}
void Adc_Start(void)
{
  uiStartAddress=0;
}
void Adc_Stop(void)
{
}

