#ifndef __K_APU_H__
#define __K_APU_H__
#include "Trakr.h"

typedef void (*pfnFillBuffer)(unsigned char Index);

extern volatile unsigned char ApuStopIndex;
void Apu_SetVolume(unsigned char v);
void Apu_Start(void);
void Apu_Stop(void);
bool Apu_Is_Busy(void);
void Apu_Register_Fetch_Data(pfnFillBuffer Addr);
void Apu_Set_Buffer(unsigned int BufferAddr);
void Apu_Set_Buffer_Size(unsigned char Index,unsigned short size);
void Apu_Open(unsigned int sr,unsigned short chn);
void Apu_Close(void);
void Apu_Int_Handle(void);

#endif


