	.global   Draw_2_Rgb_Pixel_On_Yuv
	.global   SVT_Memory_Set_HW
	.global   SVT_Memory_Set_W
	.global   SVT_Memory_Set
	.global   SVT_Memory_Copy
	.global   SVT_Mask_YUV
	.equ	YUV_Y0   , 0x0
	.equ	YUV_U    , 0x1
	.equ	YUV_Y1   , 0x2
	.equ	YUV_V    , 0x3

SVT_Mask_YUV:
  STMFD	 SP!,{R0-R6,LR}
  LDR  R6,=80*120
SVT_Mask_YUV_LOOP:
  LDRB R3,[R0,#YUV_U]
  MUL  R4,R3,R1
  MOV  R5,#0XFF
  CMP  R4,R5,LSL #6
  MOVLE  R4,R4,LSR #6
  MOVGT  R4,#0XFF
  STRB R4,[R0,#YUV_U]
  LDRB R3,[R0,#YUV_V]
  MUL  R4,R3,R2
  MOV  R5,#0XFF
  CMP  R4,R5,LSL #6
  MOVLE  R4,R4,LSR #6
  MOVGT  R4,#0XFF
  STRB R4,[R0,#YUV_V]
  ADD  R0,R0,#4
  SUBS R6,R6,#1
  BNE  SVT_Mask_YUV_LOOP
  LDMFD SP!,{R0-R6,PC}

SVT_Memory_Set_W:
  MOV   R3,LR
SVT_Memory_Set_W_Loop:
  STR   R1,[R0],#4
  SUBS  R2,R2,#1
  BNE   SVT_Memory_Set_W_Loop
  MOV   PC,LR

SVT_Memory_Set_HW:
  MOV   R3,LR
SVT_Memory_Set_HW_Loop:
  STRH  R1,[R0],#2
  SUBS  R2,R2,#1
  BNE   SVT_Memory_Set_HW_Loop
  MOV   PC,LR

SVT_Memory_Set:
  MOV   R3,LR
SVT_Memory_Set_Loop:
  STRB  R1,[R0],#1
  SUBS  R2,R2,#1
  BNE   SVT_Memory_Set_Loop
  MOV   PC,LR
  
SVT_Memory_Copy:
  STMFD	 SP!,{LR}
SVT_Memory_Copy_Loop:
  LDRB  R3,[R1],#1
  STRB  R3,[R0],#1
  SUBS  R2,R2,#1
  BNE   SVT_Memory_Copy_Loop
  LDMFD SP!,{PC}

Draw_2_Rgb_Pixel_On_Yuv_0:
  STMFD	 SP!,{R0-R10,LR}
  LDRH R2,[R1,#0]
  MOV R3,R2,LSR #5
  MOV R4,R2,LSR #10
  MOV R8,#0XFF
  AND R2,R8,R2,LSL #3
  AND R3,R8,R3,LSL #3
  AND R4,R8,R4,LSL #3
  LDRH R5,[R1,#2]
  MOV R6,R5,LSR #5
  MOV R7,R5,LSR #10
  AND R5,R8,R5,LSL #3
  AND R6,R8,R6,LSL #3
  AND R7,R8,R7,LSL #3
  @y0
  MOV R9,#0
  MOV R8,#66
  MLA R9,R8,R4,R9
  MOV R8,#129
  MLA R9,R8,R3,R9
  MOV R8,#25
  MLA R9,R8,R2,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOV R9,R9,ASR #8
  ADD R9,R9,#16
  STRB R9,[R0,#YUV_Y0]
  @U
  MOV R9,#0
  MOV R8,#-38
  MLA R9,R8,R4,R9
  MOV R8,#-74
  MLA R9,R8,R3,R9
  MOV R8,#112
  MLA R9,R8,R2,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOV R9,R9,ASR #8
  ADD R9,R8,R9
  MOV R10,#0
  MOV R8,#-38
  MLA R10,R8,R7,R10
  MOV R8,#-74
  MLA R10,R8,R6,R10
  MOV R8,#112
  MLA R10,R8,R5,R10
  MOV R8,#128
  ADD R10,R8,R10
  MOV R10,R10,ASR #8
  ADD R10,R8,R10
  ADD R9,R10,R9
  MOV R9,R9,LSR #1
  STRB R9,[R0,#YUV_U]
  
  @y1
  MOV R9,#0
  MOV R8,#66
  MLA R9,R8,R7,R9
  MOV R8,#129
  MLA R9,R8,R6,R9
  MOV R8,#25
  MLA R9,R8,R5,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOV R9,R9,ASR #8
  ADD R9,R9,#16
  STRB R9,[R0,#YUV_Y1]
  @V
  MOV R9,#0
  MOV R8,#112
  MLA R9,R8,R4,R9
  MOV R8,#-94
  MLA R9,R8,R3,R9
  MOV R8,#-18
  MLA R9,R8,R2,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOV R9,R9,ASR #8
  ADD R9,R8,R9
  MOV R10,#0
  MOV R8,#112
  MLA R10,R8,R7,R10
  MOV R8,#-94
  MLA R10,R8,R6,R10
  MOV R8,#-18
  MLA R10,R8,R5,R10
  MOV R8,#128
  ADD R10,R8,R10
  MOV R10,R10,ASR #8
  ADD R10,R8,R10
  ADD R9,R10,R9
  MOV R9,R9,LSR #1
  STRB R9,[R0,#YUV_V]
  LDMFD SP!,{R0-R10,PC}

@y = (unsigned char)( ( 66 * r + 129 * g + 25 * b + 128) >> 8) + 16 ;           
@u = (unsigned char)( ( -38 * r - 74 * g + 112 * b + 128) >> 8) + 128 ;           
@v = (unsigned char)( ( 112 * r - 94 * g - 18 * b + 128) >> 8) + 128 ;
@R = Y + 1.4075 *V-128
@G = Y C 0.3455 *U C128 C 0.7169 *V C128
@B = Y + 1.779 *U C 128

Draw_2_Rgb_Pixel_On_Yuv_1:
  STMFD	 SP!,{R0-R10,LR}
  @yuv to rgb
  LDRB R3,[R0,#YUV_Y1]
  LDRB R4,[R0,#YUV_U]
  LDRB R5,[R0,#YUV_V]
  SUB R3,R3,#16
  SUB R4,R4,#128
  SUB R5,R5,#128
  
  @r
  MOV R9,#0
  LDR R8,=298
  MLA R9,R8,R3,R9
  LDR R8,=409
  MLA R9,R8,R5,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOVS R9,R9,ASR #8
  MOVMI R9,#0
  MOV R8,#255
  CMP R9,R8
  MOVGE R9,#255
  MOV R7,R9
  
  @g
  MOV R9,#0
  LDR R8,=298
  MLA R9,R8,R3,R9
  MOV R8,#-100
  MLA R9,R8,R4,R9
  LDR R8,=-208
  MLA R9,R8,R5,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOVS R9,R9,ASR #8
  MOVMI R9,#0
  MOV R8,#255
  CMP R9,R8
  MOVGE R9,#255
  MOV R6,R9
  
  @b
  MOV R9,#0
  LDR R8,=298
  MLA R9,R8,R3,R9
  LDR R8,=516
  MLA R9,R8,R4,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOVS R9,R9,ASR #8
  MOVMI R9,#0
  MOV R8,#255
  CMP R9,R8
  MOVGE R9,#255
  MOV R5,R9

  LDRH R2,[R1,#0]
  MOV R3,R2,LSR #5
  MOV R4,R2,LSR #10
  MOV R8,#0XFF
  AND R2,R8,R2,LSL #3
  AND R3,R8,R3,LSL #3
  AND R4,R8,R4,LSL #3
  @y0
  MOV R9,#0
  MOV R8,#66
  MLA R9,R8,R4,R9
  MOV R8,#129
  MLA R9,R8,R3,R9
  MOV R8,#25
  MLA R9,R8,R2,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOV R9,R9,ASR #8
  ADD R9,R9,#16
  STRB R9,[R0,#YUV_Y0]
  @U
  MOV R9,#0
  MOV R8,#-38
  MLA R9,R8,R4,R9
  MOV R8,#-74
  MLA R9,R8,R3,R9
  MOV R8,#112
  MLA R9,R8,R2,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOV R9,R9,ASR #8
  ADD R9,R8,R9
  MOV R10,#0
  MOV R8,#-38
  MLA R10,R8,R7,R10
  MOV R8,#-74
  MLA R10,R8,R6,R10
  MOV R8,#112
  MLA R10,R8,R5,R10
  MOV R8,#128
  ADD R10,R8,R10
  MOV R10,R10,ASR #8
  ADD R10,R8,R10
  ADD R9,R10,R9
  MOV R9,R9,LSR #1
  STRB R9,[R0,#YUV_U]
  
  @y1
  MOV R9,#0
  MOV R8,#66
  MLA R9,R8,R7,R9
  MOV R8,#129
  MLA R9,R8,R6,R9
  MOV R8,#25
  MLA R9,R8,R5,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOV R9,R9,ASR #8
  ADD R9,R9,#16
  STRB R9,[R0,#YUV_Y1]
  @V
  MOV R9,#0
  MOV R8,#112
  MLA R9,R8,R4,R9
  MOV R8,#-94
  MLA R9,R8,R3,R9
  MOV R8,#-18
  MLA R9,R8,R2,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOV R9,R9,ASR #8
  ADD R9,R8,R9
  MOV R10,#0
  MOV R8,#112
  MLA R10,R8,R7,R10
  MOV R8,#-94
  MLA R10,R8,R6,R10
  MOV R8,#-18
  MLA R10,R8,R5,R10
  MOV R8,#128
  ADD R10,R8,R10
  MOV R10,R10,ASR #8
  ADD R10,R8,R10
  ADD R9,R10,R9
  MOV R9,R9,LSR #1
  STRB R9,[R0,#YUV_V]
  LDMFD SP!,{R0-R10,PC}

Draw_2_Rgb_Pixel_On_Yuv_2:
  STMFD	 SP!,{R0-R10,LR}
  @yuv to rgb
  LDRB R3,[R0,#YUV_Y0]
  LDRB R4,[R0,#YUV_U]
  LDRB R5,[R0,#YUV_V]
  SUB R3,R3,#16
  SUB R4,R4,#128
  SUB R5,R5,#128
  
  @r
  MOV R9,#0
  LDR R8,=298
  MLA R9,R8,R3,R9
  LDR R8,=409
  MLA R9,R8,R5,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOVS R9,R9,ASR #8
  MOVMI R9,#0
  MOV R8,#255
  CMP R9,R8
  MOVGE R9,#255
  MOV R7,R9
  
  @g
  MOV R9,#0
  LDR R8,=298
  MLA R9,R8,R3,R9
  MOV R8,#-100
  MLA R9,R8,R4,R9
  LDR R8,=-208
  MLA R9,R8,R5,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOVS R9,R9,ASR #8
  MOVMI R9,#0
  MOV R8,#255
  CMP R9,R8
  MOVGE R9,#255
  MOV R6,R9
  
  @b
  MOV R9,#0
  LDR R8,=298
  MLA R9,R8,R3,R9
  LDR R8,=516
  MLA R9,R8,R4,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOVS R9,R9,ASR #8
  MOVMI R9,#0
  MOV R8,#255
  CMP R9,R8
  MOVGE R9,#255
  MOV R5,R9
  
  MOV R2,R5
  MOV R3,R6
  MOV R4,R7

  LDRH R5,[R1,#2]
  MOV R6,R5,LSR #5
  MOV R7,R5,LSR #10
  MOV R8,#0XFF
  AND R5,R8,R5,LSL #3
  AND R6,R8,R6,LSL #3
  AND R7,R8,R7,LSL #3
  @y0
  MOV R9,#0
  MOV R8,#66
  MLA R9,R8,R4,R9
  MOV R8,#129
  MLA R9,R8,R3,R9
  MOV R8,#25
  MLA R9,R8,R2,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOV R9,R9,ASR #8
  ADD R9,R9,#16
  STRB R9,[R0,#YUV_Y0]
  @U
  MOV R9,#0
  MOV R8,#-38
  MLA R9,R8,R4,R9
  MOV R8,#-74
  MLA R9,R8,R3,R9
  MOV R8,#112
  MLA R9,R8,R2,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOV R9,R9,ASR #8
  ADD R9,R8,R9
  MOV R10,#0
  MOV R8,#-38
  MLA R10,R8,R7,R10
  MOV R8,#-74
  MLA R10,R8,R6,R10
  MOV R8,#112
  MLA R10,R8,R5,R10
  MOV R8,#128
  ADD R10,R8,R10
  MOV R10,R10,ASR #8
  ADD R10,R8,R10
  ADD R9,R10,R9
  MOV R9,R9,LSR #1
  STRB R9,[R0,#YUV_U]
  
  @y1
  MOV R9,#0
  MOV R8,#66
  MLA R9,R8,R7,R9
  MOV R8,#129
  MLA R9,R8,R6,R9
  MOV R8,#25
  MLA R9,R8,R5,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOV R9,R9,ASR #8
  ADD R9,R9,#16
  STRB R9,[R0,#YUV_Y1]
  @V
  MOV R9,#0
  MOV R8,#112
  MLA R9,R8,R4,R9
  MOV R8,#-94
  MLA R9,R8,R3,R9
  MOV R8,#-18
  MLA R9,R8,R2,R9
  MOV R8,#128
  ADD R9,R8,R9
  MOV R9,R9,ASR #8
  ADD R9,R8,R9
  MOV R10,#0
  MOV R8,#112
  MLA R10,R8,R7,R10
  MOV R8,#-94
  MLA R10,R8,R6,R10
  MOV R8,#-18
  MLA R10,R8,R5,R10
  MOV R8,#128
  ADD R10,R8,R10
  MOV R10,R10,ASR #8
  ADD R10,R8,R10
  ADD R9,R10,R9
  MOV R9,R9,LSR #1
  STRB R9,[R0,#YUV_V]
  LDMFD	SP!,{R0-R10,PC}
	
Draw_2_Rgb_Pixel_On_Yuv:
  //r0 is yuv buffer, r1 is RGB
  STMFD	 SP!,{R0-R10,LR}
  LDR  R4,=80*120
Draw_2_Rgb_Pixel_On_Yuv_Loop:
  LDR  R3,[R1]
  MOV  R2,#1
  TST  R3,R2,LSL #31
  BNE  Draw_2_Rgb_Pixel_On_Yuv_B
  TST  R3,R2,LSL #15
  BNE  Draw_2_Rgb_Pixel_On_Yuv_A
  //all is CLR
  BL   Draw_2_Rgb_Pixel_On_Yuv_0
  B    Draw_2_Rgb_Pixel_On_Yuv_Check
Draw_2_Rgb_Pixel_On_Yuv_A:
  //low is SET,high is CLR
  BL   Draw_2_Rgb_Pixel_On_Yuv_2
  B    Draw_2_Rgb_Pixel_On_Yuv_Check
Draw_2_Rgb_Pixel_On_Yuv_B:
  TST  R3,R2,LSL #15
  BNE  Draw_2_Rgb_Pixel_On_Yuv_Check
  //low is CLR, high is SET
  BL   Draw_2_Rgb_Pixel_On_Yuv_1
Draw_2_Rgb_Pixel_On_Yuv_Check:
  ADD  R0,R0,#4
  ADD  R1,R1,#4
  SUBS R4,R4,#1
  BNE  Draw_2_Rgb_Pixel_On_Yuv_Loop
Draw_2_Rgb_Pixel_On_Yuv_Rts:
  LDMFD	SP!,{R0-R10,PC}
  
